<?php

use App\Http\Controllers\AboutusPageController;
use App\Http\Controllers\CareersPageController;
use App\Http\Controllers\ContactPageController;
use App\Http\Controllers\HomePageController;
use App\Http\Controllers\InternshipsPageController;
use App\Http\Controllers\LegalPageController;
use App\Http\Controllers\NewsPageController;
use App\Http\Controllers\OurSolutionPageController;
use App\Http\Controllers\StoryPageController;
use App\Http\Controllers\Web\SuccessPageController;
use App\Http\Controllers\ApplicationController;
use Illuminate\Support\Facades\Route;

// Homepage...
Route::get('/', [HomePageController::class, 'index'])->name('home');

// About us...
Route::get('about-us', [AboutusPageController::class, 'index'])->name('about-us.index');

// Solutions...
Route::get('our-solutiouns', [OurSolutionPageController::class, 'index'])->name('our-solutions.index');
Route::get('our-solutiouns/{solution:slug}', [OurSolutionPageController::class, 'show'])->name('our-solutions.show');

// News...
Route::get('news', [NewsPageController::class, 'index'])->name('news.index');
Route::get('news/{news:slug}', [NewsPageController::class, 'show'])->name('news.show');
Route::post('news/{news:slug}/comments', [NewsPageController::class, 'storeComment'])->name('comments.store');

// Success stories...
Route::get('success-stories', [SuccessPageController::class, 'index'])->name('success.index');
Route::get('success-stories/{success:slug}', [SuccessPageController::class, 'show'])->name('success.show');

// Careers...
Route::get('careers', [CareersPageController::class, 'index'])->name('career.index');
Route::post('careers', [CareersPageController::class, 'store'])->name('career.store');
Route::post('applications', [ApplicationController::class, 'store'])->name('applications.store');

// Internships...
Route::get('internships', [InternshipsPageController::class, 'index'])->name('internship.index');
Route::get('internships/{internship:slug}', [InternshipsPageController::class, 'show'])->name('internship.show');
Route::post('internships', [InternshipsPageController::class, 'store'])->name('internship.store');

// Contact...
Route::get('contact', [ContactPageController::class, 'index'])->name('contact.index');
Route::post('contact', [ContactPageController::class, 'store'])->name('contact.store');

// Legal pages...
Route::get('terms-and-conditions', [LegalPageController::class, 'terms'])->name('terms');
Route::get('privacy-and-policy', [LegalPageController::class, 'privacy'])->name('privacy');
